## EBookListener

EBookListener — Listens for call responses and event notifications from EBook objects.

## Synopsis

                        EBookListener;
                        EBookListenerResponse;
    enum                EBookListenerOperation;
    EBookListener*      e_book_listener_new                 (void);
    void                e_book_listener_stop                (EBookListener *listener);

## Object Hierarchy

      GObject
       +----BonoboObject
             +----EBookListener

## Signals

      "response"                                       : Run Last

## Description

Exposes the Evolution:BookListener interface. Contrast with EBookViewListener.

## Details

### EBookListener

    typedef struct _EBookListener EBookListener;

### EBookListenerResponse

    typedef struct {
    	EBookListenerOperation  op;

    	/* The tag that e_book_* assigned to the operation this is a
    	   response for */
    	guint32                 opid;

    	/* For most Response notifications */
    	EBookStatus             status;

    	/* For GetBookViewReponse */
    	GNOME_Evolution_Addressbook_BookView      book_view;

    	/* For GetSupportedFields/GetSupportedAuthMethods */
    	GList                                    *list;

    	/* For ProgressEvent */
    	char                   *msg;
    	short                   percent;

    	/* For LinkStatusEvent */
    	gboolean                connected;

    	/* For WritableStatusEvent */
    	gboolean                writable;

    	/* For Card[Added|Removed|Modified]Event */
    	char                   *id;
    	char                   *vcard;
    } EBookListenerResponse;

### enum EBookListenerOperation

    typedef enum {
    	/* Async responses */
    	OpenBookResponse,
    	RemoveBookResponse,
    	CreateContactResponse,
    	RemoveContactResponse,
    	ModifyContactResponse,
    	GetContactResponse,
    	GetContactListResponse,
    	GetBookViewResponse,
    	GetChangesResponse,
    	AuthenticationResponse,
    	GetSupportedFieldsResponse,
    	GetRequiredFieldsResponse,
    	GetSupportedAuthMethodsResponse,

    	/* Async events */
    	LinkStatusEvent,
    	WritableStatusEvent,
    	AuthRequiredEvent,
    	ProgressEvent
    } EBookListenerOperation;

### e_book_listener_new ()

    EBookListener*      e_book_listener_new                 (void);

Returns : |

### e_book_listener_stop ()

    void                e_book_listener_stop                (EBookListener *listener);

`listener` : |

## Signal Details

### The `"response"` signal

    void                user_function                      (EBookListener *ebooklistener,
                                                            gpointer       arg1,
                                                            gpointer       user_data)          : Run Last

`ebooklistener` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.